=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#

cairocffi==0.7.2
cffi==1.6.0
pycparser==2.14           # via cffi
six==1.10.0
xcffib==0.4.2
