=== debian/changelog ===
qtile (0.10.6-3) unstable; urgency=medium

  * Fixes Python dependencies to use correct Python version (Closes: #833098)
   - Also removed python{3,}-cffi as these dependencies were not required.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 19 Sep 2016 13:47:38 +0100

qtile (0.10.6-2) unstable; urgency=medium

  * Added postinst and prerm scripts for qtile:
   - Registers and deregisters qtile as an alternative for x-window-manager
     using update-alternatives (Closes: #824539)
  * debian/rules:
   - Re-enabled testing, this has been enabled by an upstream fix to allow
     tests to use xvfb.
  * debian/control:
   - Added Build-Dependencies required for testing
   - Added Provides: x-window-manager to qtile
  * debian/copyright:
   - Removed file paths that followed symlinks so files are referenced only
     by their canonical path.

 -- Iain R. Learmonth <irl@debian.org>  Sun, 29 May 2016 14:31:58 +0100

qtile (0.10.6-1) unstable; urgency=medium

  * New upstream release:
   - qsh has been renamed to qshell. (Closes: #824752)

 -- Iain R. Learmonth <irl@debian.org>  Thu, 26 May 2016 13:15:00 +0100

qtile (0.10.5-1) unstable; urgency=medium

  * Initial release. (Closes: #762637)

 -- Iain R. Learmonth <irl@debian.org>  Thu, 28 Apr 2016 14:34:28 +0100
