=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#
cairocffi==0.8.0
cffi==1.9.1
pycparser==2.17           # via cffi
six==1.10.0
xcffib==0.5.1
