=== docs/requirements.txt ===
mock # for python <= 3.2
sphinx
sphinx_rtd_theme
sphinxcontrib-seqdiag
numpydoc
