=== debian/changelog ===
qtile (0.10.7-2ubuntu2) artful; urgency=medium

  * Don't run test expecting availability and permission to access
    hw sensors. Closes: #870051.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Sep 2017 16:06:40 +0200

qtile (0.10.7-2ubuntu1) artful; urgency=medium

  * Really remove dependency on python3-trollius.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Sep 2017 19:00:06 +0200

qtile (0.10.7-2) unstable; urgency=medium

  * Bumps versioned dependency on xcffib to >= 0.5.0

 -- Iain R. Learmonth <irl@debian.org>  Sun, 16 Jul 2017 00:20:01 +0100

qtile (0.10.7-1) unstable; urgency=medium

  * New upstream version (Closes: #852535)
  * Removed dependencies for python-trollius, no longer needed (Closes: #868202)
  * Disabled xterm related tests, cannot allocate pty in build environment

 -- Iain R. Learmonth <irl@debian.org>  Sat, 15 Jul 2017 12:12:35 +0100
