=== debian/control ===
--- 
+++ 
@@ -4,63 +4,26 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all,
                python3-all,
-               python-setuptools,
                python3-setuptools,
-               python-cffi (>= 1.3.0),
                python3-cffi (>= 1.3.0),
-               python-trollius,
-               python3-trollius,
-               python-xcffib (>= 0.4.0),
-               python3-xcffib (>= 0.4.0),
-               python-cairocffi (>= 0.7),
-               python3-cairocffi (>= 0.7),
+               python3-xcffib (>= 0.5.0),
+               python3-cairocffi (>= 0.7.2-2.1),
                libglib2.0-0,
                libpango1.0-0,
                libpangocairo-1.0-0,
                xvfb,
                xserver-xephyr,
-               python-pytest,
                python3-pytest,
-               python-pytest-cov,
                python3-pytest-cov,
                xterm,
                x11-apps,
-               x11-xserver-utils
+               x11-xserver-utils,
+               lm-sensors
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/qtile.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/qtile.git
 Homepage: http://qtile.org
-
-Package: python-qtile
-Architecture: any
-Depends: python-xcffib (>= 0.4.0),
-         python-cairocffi (>= 0.7),
-         python-trollius,
-         libglib2.0-0,
-         libpango1.0-0,
-         libpangocairo-1.0-0,
-         ${misc:Depends},
-         ${python:Depends}
-Recommends: python-dbus,
-            python-mpd,
-            python-keyring,
-            python-xdg
-Provides: ${python:Provides}
-Description: This package is a library for developing X window managers (Python 2)
- Qtile is:
-   * simple, small and extensible. It's easy to write your own layouts,
-     widgets and built-in commands.
-   * configured entirely in Python.
-   * command-line shell that allows all aspects of Qtile to be manipulated and
-     inspected.
-   * complete remote scriptability - write scripts to set up workspaces,
-     manipulate windows, update status bar widgets and more.
-   * unit tested. Qtile's scriptability has made thorough unit testing
-     possible, making it one of the best-tested window managers around.
- .
- This package installs the library for Python 2.
 
 Package: python3-qtile
 Architecture: any
@@ -69,7 +32,6 @@
          libglib2.0-0,
          libpango1.0-0,
          libpangocairo-1.0-0,
-         python3-trollius,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-dbus,
