## qtile 0.30.0

=== debian/changelog ===
qtile (0.30.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    + Set myself as Maintainer
    + Bump to Standards-Version 4.7.0
    + Update debhelper-compat 13
    + Change to libpango-1.0-0 in B-D
    + Switch to dh-sequence-python3
    + Change arch to all python3-qtile
    + Add python3-libcst, python3-dbus-next, python3-dbus-fast,
      python3-pywayland, libwlroots-0.18-dev, libpython3-all-dev,
      python3-pytest-xvfb, gir1.2-gtk-3.0, libgdk-pixbuf-2.0-dev,
      and librsvg2-dev in B-D
    + Add python3-sphinx, python3-numpydoc in B-D to build manpage.
    + Add Testsuite field
    + Add Rules-Requires-Root field
    + Update vcs-* fields.
  * debian/copyright
    + Rewrite with cme tool
  * debian/patches
    + Remove no_xterm_tests.patch
    + Remvoe remove_unneeded_deps.patch
    + Add 01_change_exec_from_desktop_file.diff patch
      + Use a script to start qtile
    + Add 01_fix_manpage.diff patch
      + Fix lintian warnings
  * Remove d/python*-qtile.install file
  * Add qtile.lintian-overrides file
  * Add d/upstream/metadata file
  * Add d/clean file
  * Install manpage file from qtile.manpages.
  * Add d/tests
  * Update d/watch file

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 25 Jan 2025 22:55:34 -0500
