=== debian/control ===
--- 
+++ 
@@ -1,42 +1,56 @@
 Source: qtile
-Maintainer: Iain R. Learmonth <irl@debian.org>
+Maintainer: Daniel Echeverri <epsilon@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               gir1.2-gtk-3.0,
+               libgdk-pixbuf-2.0-dev,
+               libglib2.0-0,
+               libpango-1.0-0,
+               libpangocairo-1.0-0,
+               libpython3-all-dev,
+               librsvg2-dev,
+               libwlroots-0.18-dev,
+               lm-sensors,
                python3-all,
-               python3-setuptools,
+               python3-cairocffi (>= 0.7.2-2.1),
                python3-cffi (>= 1.3.0),
-               python3-xcffib (>= 0.5.0),
-               python3-cairocffi (>= 0.7.2-2.1),
-               libglib2.0-0,
-               libpango1.0-0,
-               libpangocairo-1.0-0,
-               xvfb,
-               xserver-xephyr,
+               python3-dbus-fast,
+               python3-dbus-next,
+               python3-libcst,
+               python3-numpydoc,
+               python3-psutil,
                python3-pytest,
                python3-pytest-cov,
-               xterm,
+               python3-pytest-xvfb,
+               python3-pywayland,
+               python3-setuptools,
+               python3-sphinx,
+               python3-xcffib (>= 0.5.0),
                x11-apps,
                x11-xserver-utils,
-               lm-sensors
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/qtile.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/qtile.git
+               xserver-xephyr,
+               xterm,
+               xvfb
+Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/qtile
+Vcs-Git: https://salsa.debian.org/debian/qtile.git
 Homepage: http://qtile.org
 
 Package: python3-qtile
-Architecture: any
-Depends: python3-xcffib (>= 0.4.0),
+Architecture: all
+Depends: libglib2.0-0,
+         libpango-1.0-0,
+         libpangocairo-1.0-0,
          python3-cairocffi (>= 0.7),
-         libglib2.0-0,
-         libpango1.0-0,
-         libpangocairo-1.0-0,
+         python3-xcffib (>= 0.4.0),
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: python3-dbus,
-            python3-keyring,
-            python3-xdg
+         ${python3:Depends},
+         ${shlibs:Depends}
+Recommends: python3-dbus, python3-keyring, python3-xdg
 Provides: ${python3:Provides}
 Description: This package is a library for developing X window managers (Python 3)
  Qtile is:
@@ -55,9 +69,9 @@
 Package: qtile
 Architecture: all
 Section: x11
-Depends: xinit,
+Depends: python3-qtile,
          python3-setproctitle,
-         python3-qtile,
+         xinit,
          ${misc:Depends},
          ${python3:Depends}
 Provides: x-window-manager
