=== debian/changelog ===
qtile (0.31.0-3) unstable; urgency=medium

  * debian/tests/control
    + Add flaky restriction
    + Add python3-all as a test prerequisite
  * Rename test_backend.sh to testbackend.sh

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 30 Mar 2025 21:12:22 -0500

qtile (0.31.0-2) unstable; urgency=medium

  * debian/rules
    + Add override to execute only backend tests. (Closes: #1101608)
  * debian/control
    + Bump to Standards-Version 4.7.2
    + Remove Testsuite field.
  * debian/tests
    + Add test_backend.sh script to have control the tests.
    + Remove autopkgtest-pkg-python.conf file.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 29 Mar 2025 16:38:40 -0500

qtile (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0
  * debian/control
    + Remove unnecessary dependencies
    + Add python3-cairo and python3-gi in B-D
    + Change lm-sensors to recommends.
  * debian/patches
    + Refresh 01_fix_manpage.diff patch

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 15 Mar 2025 09:46:02 -0500

qtile (0.30.0-2) unstable; urgency=medium

  * Move to unstable.
  * Add flaky restriction in d/tests/control

 -- Daniel Echeverri <epsilon@debian.org>  Wed, 05 Mar 2025 21:19:25 -0500
