=== debian/control ===
--- 
+++ 
@@ -5,14 +5,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                gir1.2-gtk-3.0,
-               libgdk-pixbuf-2.0-dev,
-               libglib2.0-0,
-               libpango-1.0-0,
-               libpangocairo-1.0-0,
                libpython3-all-dev,
                librsvg2-dev,
-               libwlroots-0.18-dev,
-               lm-sensors,
+               python3-gi,
                python3-all,
                python3-cairocffi (>= 0.7.2-2.1),
                python3-cffi (>= 1.3.0),
@@ -33,8 +28,7 @@
                xserver-xephyr,
                xterm,
                xvfb
-Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/qtile
 Vcs-Git: https://salsa.debian.org/debian/qtile.git
@@ -42,15 +36,14 @@
 
 Package: python3-qtile
 Architecture: all
-Depends: libglib2.0-0,
-         libpango-1.0-0,
-         libpangocairo-1.0-0,
+Depends: python3-cairo,
+         python3-gi,
          python3-cairocffi (>= 0.7),
          python3-xcffib (>= 0.4.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-dbus, python3-keyring, python3-xdg
+Recommends: python3-dbus, python3-keyring, python3-xdg, lm-sensors
 Provides: ${python3:Provides}
 Description: This package is a library for developing X window managers (Python 3)
  Qtile is:
