=== debian/tests/control ===
Tests: testbackend.sh
Depends: python3-pytest, python3-all, @, @builddeps@
Restrictions: allow-stderr, flaky
