## qtile 0.33.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 .PHONY: run-ffibuild
 run-ffibuild: ## Build FFI modules
-	./scripts/ffibuild
+	./scripts/ffibuild -v
 
 .PHONY: update-flake
 update-flake: ## Update the Nix flake.lock file, requires Nix installed with flake support, see: https://nixos.wiki/wiki/Flakes
