=== docs/requirements.txt ===
setuptools_scm
# Sphinx 7.0.0 is not currently supported by the sphinx RTD theme
sphinx<7.0.0
sphinx_rtd_theme
funcparserlib==1.0.0a0
numpydoc
pytest
xcffib >= 1.4.0
PyGObject
dbus-fast
