=== debian/changelog ===
qtile (0.33.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Add xauth and python3-setuptools-scm in B-D.
  * debian/tests/control
    + Add python3-pytest-tornasync in Depends.
  * debian/patches
    + Refresh 01_fix_manpage.diff patch.
  * debian/rules
    + Wrap dh_auto_test with xvfb-run when tests are enabled.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 05 Oct 2025 09:06:21 -0500
