=== debian/control ===
--- 
+++ 
@@ -21,13 +21,15 @@
                python3-pytest-xvfb,
                python3-pywayland,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sphinx,
                python3-xcffib (>= 0.5.0),
                x11-apps,
                x11-xserver-utils,
                xserver-xephyr,
                xterm,
-               xvfb
+               xvfb,
+               xauth
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/qtile
