=== debian/tests/control ===
Tests: testbackend.sh
Depends: python3-pytest, python3-all, python3-pytest-tornasync, @, @builddeps@
Restrictions: allow-stderr, flaky
