=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qtile-$1\.tar\.gz/ \
  https://github.com/qtile/qtile/tags .*/v?(\d\S*)\.tar\.gz
