=== debian/changelog ===
qtile (0.34.0-1) unstable; urgency=medium

  * New upstream version 0.34.0
  * debian/patches
    + Refresh 01_fix_manpage.diff patch
  * debian/control
    + Add pybuild-plugin-pyproject in B-D.
    + Move python3-libcst from Build-Depends to Recommends. (Closes: #1120010)
    + Remove Rules-Requires-Root field
  * debian/tests/testbackend.sh
    + Add conditional check for libcst availability to skip migration tests
      when not installed
  * debian/tests/control
    + Use python3-pytest-asyncio instead of python3-pytest-tornasync to
      avoid event loop closure issues
    + Add python3-aiohttp and python3-anyio required by widget tests
  * debian/copyright
    + Update for upstream source changes, remove entries for
      files no longer present (bin/*, setup.py).
  * debian/watch
    + Update format to version 5

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 30 Nov 2025 21:27:38 -0500
