=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                python3-cffi (>= 1.3.0),
                python3-dbus-fast,
                python3-dbus-next,
-               python3-libcst,
                python3-numpydoc,
                python3-psutil,
                python3-pytest,
@@ -24,6 +23,7 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-xcffib (>= 0.5.0),
+               pybuild-plugin-pyproject,
                x11-apps,
                x11-xserver-utils,
                xserver-xephyr,
@@ -31,7 +31,6 @@
                xvfb,
                xauth
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/qtile
 Vcs-Git: https://salsa.debian.org/debian/qtile.git
 Homepage: http://qtile.org
@@ -45,7 +44,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-dbus, python3-keyring, python3-xdg, lm-sensors
+Recommends: python3-dbus, python3-keyring, python3-xdg, lm-sensors, python3-libcst
 Provides: ${python3:Provides}
 Description: This package is a library for developing X window managers (Python 3)
  Qtile is:
