=== debian/tests/control ===
Tests: testbackend.sh
Depends: python3-pytest, python3-all, python3-pytest-asyncio, python3-aiohttp, python3-anyio, @, @builddeps@
Restrictions: allow-stderr, flaky
