=== debian/watch ===
Version: 5

Template: Github
Owner: qtile
Project: qtile
